<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 15:49:57 CEST 2020 -->
<title>ARINCComponentModelPackage.Literals</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ARINCComponentModelPackage.Literals";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ARINCComponentModelPackage.Literals.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/ARINCComponentModel/ARINCComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.ARINCComponentModel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/ARINCComponentModel/ARINCFunction.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.ARINCComponentModel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/polarsys/chess/chessmlprofile/Predictability/ARINCComponentModel/ARINCComponentModelPackage.Literals.html" target="_top">Frames</a></li>
<li><a href="ARINCComponentModelPackage.Literals.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.polarsys.chess.chessmlprofile.Predictability.ARINCComponentModel</div>
<h2 title="Interface ARINCComponentModelPackage.Literals" class="title">Interface ARINCComponentModelPackage.Literals</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing interface:</dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/ARINCComponentModel/ARINCComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.ARINCComponentModel">ARINCComponentModelPackage</a></dd>
</dl>
<hr>
<br>
<pre>public static interface <span class="typeNameLabel">ARINCComponentModelPackage.Literals</span></pre>
<div class="block"><!-- begin-user-doc -->
 Defines literals for the meta objects that represent
 <ul>
   <li>each class,</li>
   <li>each feature of each class,</li>
   <li>each enum,</li>
   <li>and each data type</li>
 </ul>
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/ARINCComponentModel/ARINCComponentModelPackage.Literals.html#ARINC_COMPONENT_IMPL">ARINC_COMPONENT_IMPL</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/ARINCComponentModel/impl/ARINCComponentImplImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.ARINCComponentModel.impl"><code><em>ARINC Component Impl</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/ARINCComponentModel/ARINCComponentModelPackage.Literals.html#ARINC_COMPONENT_IMPL__BASE_COMPONENT">ARINC_COMPONENT_IMPL__BASE_COMPONENT</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Component</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/ARINCComponentModel/ARINCComponentModelPackage.Literals.html#ARINC_FUNCTION">ARINC_FUNCTION</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/ARINCComponentModel/impl/ARINCFunctionImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.ARINCComponentModel.impl"><code><em>ARINC Function</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/ARINCComponentModel/ARINCComponentModelPackage.Literals.html#ARINC_FUNCTION__BASE_COMMENT">ARINC_FUNCTION__BASE_COMMENT</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Comment</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/ARINCComponentModel/ARINCComponentModelPackage.Literals.html#ARINC_FUNCTION__BASE_OPERATION">ARINC_FUNCTION__BASE_OPERATION</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Operation</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/ARINCComponentModel/ARINCComponentModelPackage.Literals.html#ARINC_FUNCTION__FOLLOWED_BY">ARINC_FUNCTION__FOLLOWED_BY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Followed By</b></em>' reference list feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/ARINCComponentModel/ARINCComponentModelPackage.Literals.html#ARINC_FUNCTION__RATE_DIVIDER">ARINC_FUNCTION__RATE_DIVIDER</a></span></code>
<div class="block">The meta object literal for the '<em><b>Rate Divider</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/ARINCComponentModel/ARINCComponentModelPackage.Literals.html#ARINC_PROCESS">ARINC_PROCESS</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/ARINCComponentModel/impl/ARINCProcessImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.ARINCComponentModel.impl"><code><em>ARINC Process</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/ARINCComponentModel/ARINCComponentModelPackage.Literals.html#ARINC_PROCESS__BASE_COMMENT">ARINC_PROCESS__BASE_COMMENT</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Comment</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/ARINCComponentModel/ARINCComponentModelPackage.Literals.html#ARINC_PROCESS__BASE_OPERATION">ARINC_PROCESS__BASE_OPERATION</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Operation</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/ARINCComponentModel/ARINCComponentModelPackage.Literals.html#ARINC_PROCESS__OPERATIONS_GROUPS">ARINC_PROCESS__OPERATIONS_GROUPS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Operations Groups</b></em>' attribute feature.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="ARINC_COMPONENT_IMPL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ARINC_COMPONENT_IMPL</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass ARINC_COMPONENT_IMPL</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/ARINCComponentModel/impl/ARINCComponentImplImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.ARINCComponentModel.impl"><code><em>ARINC Component Impl</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/ARINCComponentModel/impl/ARINCComponentImplImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.ARINCComponentModel.impl"><code>ARINCComponentImplImpl</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/ARINCComponentModel/impl/ARINCComponentModelPackageImpl.html#getARINCComponentImpl--"><code>ARINCComponentModelPackageImpl.getARINCComponentImpl()</code></a></dd>
</dl>
</li>
</ul>
<a name="ARINC_COMPONENT_IMPL__BASE_COMPONENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ARINC_COMPONENT_IMPL__BASE_COMPONENT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference ARINC_COMPONENT_IMPL__BASE_COMPONENT</pre>
<div class="block">The meta object literal for the '<em><b>Base Component</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ARINC_PROCESS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ARINC_PROCESS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass ARINC_PROCESS</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/ARINCComponentModel/impl/ARINCProcessImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.ARINCComponentModel.impl"><code><em>ARINC Process</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/ARINCComponentModel/impl/ARINCProcessImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.ARINCComponentModel.impl"><code>ARINCProcessImpl</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/ARINCComponentModel/impl/ARINCComponentModelPackageImpl.html#getARINCProcess--"><code>ARINCComponentModelPackageImpl.getARINCProcess()</code></a></dd>
</dl>
</li>
</ul>
<a name="ARINC_PROCESS__BASE_OPERATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ARINC_PROCESS__BASE_OPERATION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference ARINC_PROCESS__BASE_OPERATION</pre>
<div class="block">The meta object literal for the '<em><b>Base Operation</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ARINC_PROCESS__BASE_COMMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ARINC_PROCESS__BASE_COMMENT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference ARINC_PROCESS__BASE_COMMENT</pre>
<div class="block">The meta object literal for the '<em><b>Base Comment</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ARINC_PROCESS__OPERATIONS_GROUPS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ARINC_PROCESS__OPERATIONS_GROUPS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute ARINC_PROCESS__OPERATIONS_GROUPS</pre>
<div class="block">The meta object literal for the '<em><b>Operations Groups</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ARINC_FUNCTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ARINC_FUNCTION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass ARINC_FUNCTION</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/ARINCComponentModel/impl/ARINCFunctionImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.ARINCComponentModel.impl"><code><em>ARINC Function</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/ARINCComponentModel/impl/ARINCFunctionImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.ARINCComponentModel.impl"><code>ARINCFunctionImpl</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/ARINCComponentModel/impl/ARINCComponentModelPackageImpl.html#getARINCFunction--"><code>ARINCComponentModelPackageImpl.getARINCFunction()</code></a></dd>
</dl>
</li>
</ul>
<a name="ARINC_FUNCTION__BASE_OPERATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ARINC_FUNCTION__BASE_OPERATION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference ARINC_FUNCTION__BASE_OPERATION</pre>
<div class="block">The meta object literal for the '<em><b>Base Operation</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ARINC_FUNCTION__BASE_COMMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ARINC_FUNCTION__BASE_COMMENT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference ARINC_FUNCTION__BASE_COMMENT</pre>
<div class="block">The meta object literal for the '<em><b>Base Comment</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ARINC_FUNCTION__FOLLOWED_BY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ARINC_FUNCTION__FOLLOWED_BY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference ARINC_FUNCTION__FOLLOWED_BY</pre>
<div class="block">The meta object literal for the '<em><b>Followed By</b></em>' reference list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ARINC_FUNCTION__RATE_DIVIDER">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ARINC_FUNCTION__RATE_DIVIDER</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute ARINC_FUNCTION__RATE_DIVIDER</pre>
<div class="block">The meta object literal for the '<em><b>Rate Divider</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ARINCComponentModelPackage.Literals.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/ARINCComponentModel/ARINCComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.ARINCComponentModel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/ARINCComponentModel/ARINCFunction.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.ARINCComponentModel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/polarsys/chess/chessmlprofile/Predictability/ARINCComponentModel/ARINCComponentModelPackage.Literals.html" target="_top">Frames</a></li>
<li><a href="ARINCComponentModelPackage.Literals.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
